Bug 816830 - [WebTran] The editor open behavior should be consistent when switch message filters
[WebTran] The editor open behavior should be consistent when switch message ...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
unspecified Severity low
: ---
: 1.6-beta-1
Assigned To: Alex Eng
Joyce Chang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 02:45 EDT by Ding-Yi Chen
Modified: 2013-03-03 22:19 EST (History)
3 users (show)

See Also:
Fixed In Version: Zanata version 1.6.0-alpha-3-SNAPSHOT (20120510-0019).
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-04-27 02:45:39 EDT
Description of problem:
When change message filter options, it is expected that editor open state should not be changed.

That is, if no editor is opened when switching from "Translated" to "Need
Review", the editors should be still closed after switch.

Version-Release number of selected component (if applicable):
Zanata version 1.6.0-alpha-1 (20120419-0011).


How reproducible:
Always

Steps to Reproduce:
1.Find a document that is multiple-paged contains empty, fuzzy, and approved
translation
   Or find a related empty document, with 
   1, 2 and last entries are approved
   3, 5 entries are fuzzy
   the rest are empty.

2. Uncheck all the Message Filter options
3. Check the Message Filter option "Translated" 
4. Ensure every cell editors are closed. If not, close them by clicking "Cancel"
5. Uncheck the Message Filter option "Translated" 
6. Check the Message Filter option "Need Review" 
  
Actual results:
One editor is opened.

Expected results:
Editors should keep closed.

Additional info:
Comment 1 Alex Eng 2012-05-09 02:08:39 EDT
Fixed in Zanata version 1.6.0-alpha-3-SNAPSHOT

See: https://github.com/zanata/zanata/commit/79342d8484ebf25e56494fa3f367e82fc739cb0d
Comment 2 Alex Eng 2012-05-09 02:10:49 EDT
Note* editor is behaving as when user enter workspace - first row editor opened by default.
Comment 3 Joyce Chang 2012-05-10 01:03:39 EDT
verified in Zanata version 1.6.0-alpha-3-SNAPSHOT (20120510-0019).

Note You need to log in before you can comment on or make changes to this bug.